Subject: Re: [ippm] concatenation of QoS parameters

From: Philip Chimento <[email-masked]>
Date: Wed, 18 Sep 2002 09:11:16 -0400

Hi Kave: 

> I agree with Philipp about the first moment additivity property. But once
> again a mean without any indication of dispersion (at least variance) is
> meaningless ! a 10% loss rate mean can be one packet each 10 packets or
> 10000 consecutive packets each 100000 packets. Even if the delay in two
> consecutive segment is the sum of the two delay but the jitter (which is the
> variance of the delay) is not the sum of the two jitter.
>

The problem of giving means without variances is well known. About 15 years 
ago Ward Whitt wrote an article (I think that it was published in Management 
Science) titled "The horrors of the waiting room..." that should be required 
reading.
I certainly was not suggesting that you ignore variability. 

> I don't mean that we have to integrate higher order moment and or
> distribution directly into SLA. Nevertheless SLA should define something
> that is statistically correct.
> 
I think the last sentance is a statement everyone can agree with :)

> I think that the good way of defining an SLA will be to define it as :
> 1- a mean

"Easy". 

> 2- an upper and lower bound
> 3- A probability of crossing the bound

This is where you run into trouble. How are you going to determine 
these ? How can you guarantee that the bounds will not be so wide as to be 
useless ? I can give you bounds on delay right now: 0 picoseconds and 5 years. 
Probability to cross the lower bound is 0. Probability to cross the upper 
bound is less than 10^(-100).
My guess is that to come up with tight bounds is on the same order of 
difficulty as doing the convolutions of the pdfs. After you come up with the 
bounds, they may be easier to compute, but...

> 4- a scale of time for calculating the mean and the previous probability
> 
> All the difficulties with other moments and pdf and so will be hidden into
> the relationship between the bounds and the probability of crossing.
> 
> Regards
> 
> Kv
> 
> 

Regards, Phil 
-- 
Phil Chimento             Ericsson IPI
Phone: 240-314-3597	  7301 Calhoun Place
[email-masked]   Rockville, Md. 20855
-----------------------------------------------------

> -----Message d'origine-----
> De : Philip Chimento [mailto:[email-masked]]
> Envoye : mercredi 18 septembre 2002 14:06
> A : Kave Salamatian
> Cc : Alan Clark; H.E.Holland; stanislav shalunov;
> [email-masked]; IPPM Working Group
> Objet : Re: [ippm] concatenation of QoS parameters
> 
> 
> 
> Once again: means may always be combined (added or in linear combinations)
> whether or not the underlying random variables are independent. As Stanislav
> pointed out, variances must be of independent random variables to be able
> simply to add them. While Stanislav's statement is correct on this point, it
> does not apply to either IPDV or delay in successive segments in a real
> network. While you can build a model based on this assumption, your model
> will
> at best only approximate the real situation (and you must then work on
> bounds). I would NOT recommend trying to write an SLA based on higher
> moments
> or distributions of combinations of delay or IPDV.
> 
> Regards, Phil Chimento
> --
> Phil Chimento             Ericsson IPI
> Phone: 240-314-3597	  7301 Calhoun Place
> [email-masked]   Rockville, Md. 20855
> -----------------------------------------------------
> 

_______________________________________________
ippm mailing list
[email-masked]
http://mailhost.advanced.org/mailman/listinfo/ippm